/* registration page */
div#register-page {
	align-items: flex-start;
	justify-content: space-around;
}
div#register-page form {
	width: 80%;
	margin: auto;
}
div#register-page div#basic-details-section {
	display: block;
	flex-grow: 1;
	width: 100% !important;
	flex-basis: 2000px;
	padding-bottom: 2em;
	border-bottom: 2px solid #BCB8B8;
	margin-bottom: 3em;
}
div#register-page div#profile-details-section {
	clear: left;
		display: block;
		width: 100% !important;
		flex-grow: 1;
		padding-bottom: 2em;
	border-bottom: 2px solid #BCB8B8;
	margin-bottom: 2em;
}
div#register-page div.submit {
	padding-bottom: 5em;
}

div#register-page legend, div#register-page div.field_54 label {
	font-weight: 600;
	font-size: 1.2em;
	margin-left: 0;
	padding-left: 0;
}
.buddypress-wrap .standard-form input:not(.small), .buddypress-wrap .standard-form textarea, div#register-page p.description, div#register-page div.wp-editor-tools, div#register-page iframe {
    width: 80%;
		max-width: 50em;
}
.buddypress-wrap .standard-form input {
	background-color: var(--nv-light-bg);
	max-width: 40em;
}
.buddypress-wrap .standard-form input[required], .buddypress-wrap .standard-form select[required], .buddypress-wrap .standard-form textarea[required] {
    border-color: var(--nv-primary-accent);
}
.buddypress-wrap .standard-form input[required]:valid, .buddypress-wrap .standard-form select[required]:valid, .buddypress-wrap .standard-form textarea[required]:valid {
    border-color: var(--nv-c-1);
}
.buddypress-wrap .standard-form input[required]:invalid, .buddypress-wrap .standard-form select[required]:invalid, .buddypress-wrap .standard-form textarea[required]:invalid {
    border-color: var(--nv-c-2);
}
.buddypress-wrap #pass-strength-result {
	margin-top: 1em;
}
.buddypress-wrap #pass-strength-result.strong {
    background-color: var(--nv-c-1);
    border-color: var(--nv-primary-accent);
    color: var(--nv-site-bg);
}
.buddypress-wrap #pass-strength-result.good {
    background-color: #FCDEA2;
    border-color: #BCB8B8;
    color: var(--nv-dark-bg);
}
.buddypress-wrap #pass-strength-result.short, .buddypress-wrap #pass-strength-result.bad, .buddypress-wrap #pass-strength-result.error {
    background-color: var(--nv-c-2);
    border-color: #FCDEA2;
    color: var(--nv-site-bg);
}
div#register-page p.indicator-hint {
	background-color: var(--nv-light-bg);
	max-width: 40em;
	padding: 1em;
	margin: 2em 2em 3em 0;
}
div#register-page div.checkbox-options {
	width: 25em;
}
div#register-page div.radio-button-options {
	width: 10em;
}
div#register-page div.checkbox-options input {
	width: 1.5em;
	height: 1.5em;
}
div#register-page div.input-options, div#register-page select {
	max-width: 25em;
}
div#register-page input#signup-privacy-policy-accept {
	width: 1.5em;
	height: 1.5em;
}

div#register-page div.submit input {
	color: var(--nv-site-bg);
	background: var(--nv-primary-accent);
	width: 20em;
	padding: 1em 2em;
	border-radius: 5px;
	font-weight: 600;
	margin: 1em 0 3em 0;
}
div#register-page div.submit input:hover {
		color: var(--nv-light-bg);
}
div#register-page input#signup_username, div#register-page  textarea {
	display: block !important;
}
@media all and (min-width: 960px) {
	div#register-page div.layout-wrap {
		max-width: 1000px !important;
	}
}